# TODO

Split roles to seperate projects consul, nomad, docker, dnsmasq, ntp etc..

Using ansible-galaxy to import those roles


HashiCorp Consul and Nomad
==========================

HashiCorp Consul and Nomand for deploying and running microservices. The platform will make use of Docker for running microservices in containers.

For more information about microservices:

* http://microservices.io/

Microservices running in this platform should follow the [twelve-factor-app](http://12factor.net/) methodology.

# Documentation

- [Getting Started](docs/getting-started/README.md)
- [Architecture](docs/architecture/README.md)
- [Roadmap](#roadmap)
- [References](#references)

# Roadmap

- Nomad Clustering setup
- Documentation for production 
- Architecture picture
- Clusterhq for cluster docker volumes (postgres, elasticsearch etc..)
- Terraform to deploy on cloud providers

# References

* [Docker](https://www.docker.com/)
* [Consul](https://www.consul.io/)
* [Nomad](https://www.nomadproject.io)
* [Dnsmasq](http://www.thekelleys.org.uk/dnsmasq/doc.html)
* [Ansible](http://www.ansible.com/)
* [Vagrant](https://www.vagrantup.com/)
* [ClusterHQ](https://clusterhq.com)

# Issues

Let me know if there are any issues with the deployment